Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 461163 - initial bro packaging omits setup matters, scripts needed
initial bro packaging omits setup matters, scripts needed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bro (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Kopeček
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 13:14 EDT by R P Herrold
Modified: 2009-06-15 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2008-09-04 13:14:37 EDT
the packaging of 'bro' in bro-1.4-0.1.20080804svn
omits packaging several critical scripts, and omits adding them to /etc/cron.daily so that no reporting ever happens:

4.2 Bro Scripts
Installing Bro automatically creates the following cron jobs, which are automatically run
on a specified interval.
  · site-report.pl: generates an email report of all alarms and alerts
  · mail_reports.sh: send email reports
   These scripts can also all be run by hand at any time.

page 14: Bro-quick-start.pdf


Also, at a minimum, all the scripts in ./scripts/ should be included:

[herrold@centos-5 bro]$ cd bro-20080804
[herrold@centos-5 bro-20080804]$ find -name '*.sh'
./aux/broccoli/autogen.sh
./aux/broccoli/ltmain.sh
./aux/binpac/autogen.sh
./scripts/push_logs.sh
./scripts/diskspace.sh
./scripts/bro.rc-hooks.sh
./scripts/bro_log_compress.sh
./scripts/frontend-mail-reports.sh
./scripts/frontend-site-report.sh
./scripts/mail_notice.sh
./scripts/mail_reports.sh
./scripts/install_cron.sh
./autogen.sh
[herrold@centos-5 bro-20080804]$ find -name '*.pl'
./aux/broccoli/svn.pl
./aux/scripts/bro-logchk.pl
./doc/old/manual/internals.pl
./doc/old/manual/images.pl
./doc/old/manual/labels.pl
./src/make_parser.pl
./src/make_dbg_constants.pl
./scripts/s2b/bin/s2b.pl
./scripts/perl/script/site-report.pl
./scripts/perl/script/edit-brorule.pl
[herrold@centos-5 bro-20080804]$    

Pretty obviously an IDS that cannot report is pretty useless.

-- Russ herrold
Comment 1 Bug Zapper 2008-11-25 21:57:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 R P Herrold 2008-12-08 09:31:12 EST
This bug remains relevant as the scripts are still missing -- returning to RawHide

How do we get 'bro' to be useful, rather than merely partially packaged?
Comment 3 R P Herrold 2009-05-01 13:39:18 EDT
ping -- are you interested in maintaining bro?
Comment 4 Daniel Kopeček 2009-05-01 16:14:23 EDT
(In reply to comment #3)
> ping -- are you interested in maintaining bro?  

I'll try to release an update next week. Have you tested the last update in updates-testing (https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1638)? The scripts are included there but there is a perl library which should be installed as a separate package, I think. Thanks for the feedback and sorry for ignoring Bro for a while.
Comment 5 Bug Zapper 2009-06-09 05:43:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-06-15 22:17:25 EDT
bro-1.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.